OPENTTD(6)

NAME
openttd - open source clone of the Microprose game Transport Tycoon Deluxe

SYNOPSIS
openttd [-efhx] [-b blitter] [-c config_file] [-d [level | cat=lvl[,...]]] [-D [host][:port]] [-g [savegame]] [-G seed] [-I graphicsset] [-l host[:port]] [-m driver] [-M musicset] [-n host[:port][#player]] [-p password] [-P password] [-r widthxheight] [-s driver] [-S soundset] [-t year] [-v driver]

OPTIONS

-b blitter
    Set the blitter, see -h for a full list

-c config_file
    Use 'config_file' instead of 'openttd.cfg'

-d [level]
    Set debug verbosity for all categories to level or 1 if omitted

-d cat=level[,...]
    Set debug verbosity for a specific category

-D [host][:port]
    Start a dedicated server. Sets network debug level to 6. If you want to change this, use -d after -D

-G seed
    Seed the pseudo random number generator

-e  Start in world editor mode

-f  Fork into background (dedicated server only, see -D)

-g [savegame]
    Load savegame at start or start a new game if omitted. The savegame must be either absolute or relative to the current path or one of the search paths.

-h  Display a summary of all options and lists all the available AIs, blitters, sound, music and video drivers, graphics sets and sound sets.

-I graphicsset
    Set the graphics set, see -h for a full list

-l host[:port]
    Redirect DEBUG(), See -D

-m driver
    Set the music driver, see -h for a full list

-M musicset
    Set the music set, see -h for a full list

-n host[:port][#player]
    Join a network game, optionally specify a port to connect to and player to play as

-p password
    Password used to join server. Only useful with -n

-P password
    Password used to join company. Only useful with -n

-r widthxheight
    Set the resolution

-s driver
    Set the sound driver, see -h for a full list

-S soundset
    Set the sound set, see -h for a full list

-t year
    Set the starting year

-v driver
    Set the video driver, see -h for a full list

-x  Do not automatically save to config file on exit

SEE ALSO
http://wiki.openttd.org/, http://www.openttd.org

HISTORY
Transport Tycoon Deluxe was written by Chris Sawyer and published by Microprose. openttd is a free reimplementation.